Bug 66250 - Switch RenderTextControl* to new layout types
Summary: Switch RenderTextControl* to new layout types
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Levi Weintraub
URL:
Keywords:
Depends on:
Blocks: 63567
  Show dependency treegraph
 
Reported: 2011-08-15 13:39 PDT by Levi Weintraub
Modified: 2011-08-18 12:28 PDT (History)
5 users (show)

See Also:


Attachments
Patch (11.92 KB, patch)
2011-08-15 13:42 PDT, Levi Weintraub
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Levi Weintraub 2011-08-15 13:39:07 PDT
Ongoing conversion.
Comment 1 Levi Weintraub 2011-08-15 13:42:55 PDT
Created attachment 103947 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-08-17 11:32:00 PDT
Comment on attachment 103947 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=103947&action=review

> Source/WebCore/rendering/LayoutTypes.h:97
> +inline LayoutUnit layoutMod(const LayoutUnit& numerator, const LayoutUnit& denominator)
> +{
> +    return numerator % denominator;
> +}

Otherwise the compiler gets sad about mis-matched types?
Comment 3 Eric Seidel (no email) 2011-08-17 11:32:23 PDT
I'm confused that we need that layoutMod function, but I believe you.
Comment 4 Levi Weintraub 2011-08-17 11:33:30 PDT
Comment on attachment 103947 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=103947&action=review

Thanks!

>> Source/WebCore/rendering/LayoutTypes.h:97
>> +}
> 
> Otherwise the compiler gets sad about mis-matched types?

% doesn't act as modulo for Float/Fixed types. This will be replaced with the proper equivalent for those :)
Comment 5 WebKit Review Bot 2011-08-17 13:45:03 PDT
Comment on attachment 103947 [details]
Patch

Rejecting attachment 103947 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-02', '--port..." exit_code: 2

Last 500 characters of output:
ools/ChangeLog
CONFLICT (content): Merge conflict in Tools/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 Source/WebCore: Crash in Document::recalcStyleSelector

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 146.

Full output: http://queues.webkit.org/results/9421093
Comment 6 WebKit Review Bot 2011-08-17 16:37:01 PDT
Comment on attachment 103947 [details]
Patch

Rejecting attachment 103947 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-02', '--port..." exit_code: 2

Last 500 characters of output:
g Tools/ChangeLog
CONFLICT (content): Merge conflict in Tools/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 Accessibility stack exhaustion using role attribute

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 146.

Full output: http://queues.webkit.org/results/9419269
Comment 7 WebKit Review Bot 2011-08-18 12:28:47 PDT
Comment on attachment 103947 [details]
Patch

Clearing flags on attachment: 103947

Committed r93334: <http://trac.webkit.org/changeset/93334>
Comment 8 WebKit Review Bot 2011-08-18 12:28:52 PDT
All reviewed patches have been landed.  Closing bug.